#ifndef FUNCS_H_INCLUDED
#define FUNCS_H_INCLUDED
#include "object.h"

void obj_move(World * w, Object * o, int ox, int oy);

int fn_do_rand(Object * o)
{
    int r = rand() % 50;
    if(r == 0)
    {
        obj_move(o->world,o,-1,0);
    }
    if(r == 1)
    {
        obj_move(o->world,o,1,0);
    }
    if(r == 2)
    {
        obj_move(o->world,o,0,-1);
    }
    if(r == 3)
    {
        obj_move(o->world,o,0,1);
    }
    if(r == 4)
    {
        if(rand()%10 == 0)
            new_obj(o->world,"bomb",o->x,o->y);
    }
}
int fn_fire_timer(Object* o)
{
    o->timer -=1;
    if(o->timer <= 0)
        o->exist = 0;
}
int fn_bomb_timer(Object * o)
{
    o->timer -=1;
    if(o->timer <=0)
       {
           int cy,cx;
           for(cy = -1;cy<=1;cy++)
           {
               for(cx = -1; cx<=1; cx++)
               {
                    new_obj(o->world,"fire",o->x + cx, o->y + cy);
               }
           }


            o->exist = 0;
       }

}
int fn_kill(Object* me, Object * other)
{
    other->exist = 0;
}

#endif // FUNCS_H_INCLUDED
